Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - atom-editor-beta

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: atom-editor-beta 1.14.0.beta2.m0.92.2-1

Git Clone URL: https://aur-dev.archlinux.org/atom-editor-beta.git (read-only)
Package Base: atom-editor-beta
Description: Hackable text editor for the 21st Century, built using web technologies on the Electron framework - Beta channel.
Upstream URL: https://github.com/atom/atom
Keywords: atom beta editor
Licenses: MIT
Conflicts: atom-editor-beta-arch, atom-editor-beta-bin
Submitter: hydraz
Maintainer: webslave (fusion809)
Last Packager: fusion809
Votes: 10
Popularity: 0.160931
First Submitted: 2015-12-28 17:00
Last Updated: 2017-01-18 17:18

Latest Comments

1 2 3 4 Next › Last »

SanpoChew commented on 2016-12-12 01:20

installed and working, thanks a lot!

fusion809 commented on 2016-12-11 23:30

Oops sorry forgot to bump the checksums. 'tis fixed now.

SanpoChew commented on 2016-12-11 23:24

Getting this error as of two minutes ago:

==> Validating source files with sha256sums...
atom-1.13.0-beta8.tar.gz ... FAILED
atom-beta.desktop ... Passed
==> ERROR: One or more files did not pass the validity check!

ronjouch commented on 2016-11-15 22:53

@fusion809 all good with 1.13.0.beta3.m0.92.2-1. I rest fully placated... for now :) . Thanks for the fixes.

ronjouch commented on 2016-11-15 18:04

@fusion809 I was helping Atom maintainers troubleshoot issue "Shelling out to collect environment variables is creating runaway 100% CPU processes on Linux" ( https://github.com/atom/atom/issues/13084 ). Problem is fixed in 1.13.0-beta3, but only partially with this AUR package, because it seems the environment variable export at https://github.com/atom/atom/blob/master/atom.sh#L18 is not present in our atom{-beta}.sh

1. Could you add this line to our script?

2. Also, could we use the upstream-maintained version of the script? If no, what's preventing us from doing so?

ronjouch commented on 2016-11-13 01:12

@fusion809 hey by the way, here are the upstream bugs about fixing the build under node 7.x: https://github.com/atom/apm/pull/637 , https://github.com/atom/apm/issues/636 . Will ping you when they're part of a beta release and it becomes possible to re-depend on arch nodejs rather than aur nodejs-lts-boron.

fusion809 commented on 2016-11-12 23:23

My apologies, 'tis fixed now.

ronjouch commented on 2016-11-12 23:18

@fusion809 @webslave checksum issue on 1.13.0.beta2.m0.92.2-1

==> Validating source files with sha256sums...
atom-1.13.0-beta2.tar.gz ... FAILED
atom-beta.desktop ... Passed
atom-beta ... Passed

ronjouch commented on 2016-11-09 22:52

@fusion809 eh, I guess the thing will patch itself when upstream starts building their Ubuntu packages on 7.0. Thanks for the fast checksum fix!

fusion809 commented on 2016-11-09 22:46

Fixed checksum issue. As for bartus' issue, well I'm sorry but I haven't the foggiest how to solve it, besides downgrading to Node.js 6.9.1. If anyone finds a patch I'll be happy to accept it.